
QGIS Application - Bug report #11833

Inconsistent behavior of rotation spinbox

2014-12-09 10:51 PM - Alexander Bruy

Status: Closed

Priority: High

Assignee: Sandro Santilli

Category: Map Canvas

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20051

Description

Map canvas rotate each time I enter digit in rotation spinbox. For example, I want to rotate canvas by 120 degrees, when I enter "1"

canvas rotated by 1 degree, after entering "2" — rotate by 12 degrees and finally, after entering "0" I get desired result. Canvas should be

rotated only after entering "120" and pressing Enter key or loosing focus. This is how work all other widgets in status bar, see scale or

coordinate widgets.

Associated revisions

Revision 21c4cbbe - 2014-12-10 10:36 AM - Nyall Dawson

Flip rotation spin box to QgsDoubleSpinBox

Fix some other small spin box related ux improvements (fix #11833)

History

#1 - 2014-12-10 01:38 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"21c4cbbe1a600a4b3a1d5313bc07feafe2901aea".
